### Method

# FwupdPlugin Archive lookup_by_fn

#### Declaration [src]

    GBytes*
    fu_archive_lookup_by_fn (
      FuArchive* self,
      const gchar* fn,
      GError** error
    )

#### Description [src]

Finds the blob referenced by filename.

Available since: | 1.2.2

#### Parameters

`fn` | `const gchar*`
| A filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| A `GBytes`, or `NULL` if the filename was not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.